Package ghidra.trace.model.memory

# Enum Class TraceMemoryState

java.lang.Object
java.lang.Enum<TraceMemoryState>
ghidra.trace.model.memory.TraceMemoryState

All Implemented Interfaces:
  `Serializable`, `Comparable<TraceMemoryState>`, `Constable`

public enum TraceMemoryState extends Enum<TraceMemoryState>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ERROR`
  The value could not be observed at the snapshot
  `KNOWN`
  The value was observed at the snapshot
  `UNKNOWN`
  The value was not observed at the snapshot

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TraceMemoryState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TraceMemoryState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNKNOWN

    public static final TraceMemoryState UNKNOWN
    The value was not observed at the snapshot

  - ### KNOWN

    public static final TraceMemoryState KNOWN
    The value was observed at the snapshot

  - ### ERROR

    public static final TraceMemoryState ERROR
    The value could not be observed at the snapshot

- ## Method Details

  - ### values

    public static TraceMemoryState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TraceMemoryState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null